repo/gentoo:master commit in: dev-python/phonenumbers/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786777647.44284f16e05591e6a3d725516993f0341efa325f.mgorny@gentoo>
commit:     44284f16e05591e6a3d725516993f0341efa325f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 05:46:05 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 07:07:27 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44284f16

dev-python/phonenumbers: Bump to 9.0.37

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/phonenumbers/Manifest                   |  1 +
 dev-python/phonenumbers/phonenumbers-9.0.37.ebuild | 31 ++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index e3c1e80a3788..3d263ed04a0d 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1,2 +1,3 @@
 DIST phonenumbers-9.0.35.tar.gz 2306830 BLAKE2B 5a7cf2a8f79251bd4372325d5a6a4efbc49473cb6d9e14ca24d563a5dc48275849001bd8dde1f1deff9ec7e4d194319b8d0c6402040f6202d1678f1381b499e0 SHA512 c838d7a787e2a35fdbcf91df150ec4dee87a071422dfce40e60fb2bdddaa260432f598d4e9394147ced11a768915a7db013a36486801c392fa018a46a00bed46
 DIST phonenumbers-9.0.36.tar.gz 2307271 BLAKE2B 4e9dfff9d546c15658cf3f04b8dc2d4638bb27030509a0e067452ab155782ad2c63a99b9e7a8b066bea968f7727aff94c80a60853ee224fba721f2d1175ad09b SHA512 d3cf951590ac415c5f9d60fc345d52b5d572639d3059c9c19737fac7e968c3942cc54839299388aee8729b71be250c159d28e708e8e3ecae6aa537cd47a8a752
+DIST phonenumbers-9.0.37.tar.gz 2312364 BLAKE2B 4984e671af2d02392233db5213aad02324cb19f817f6f6b5fc9f977f3a0d3bd172af19d9053157ecde3acc30d9c5579337a48bc6a3b85a408e2499e0d889eb5c SHA512 69cbe0adbb91c9fbef6246151fe5f6399edd3f8087dcdc973762b64397f41dabb0e60ad2460c2213df73e9079732bcb2705a173ee516b85604f789b719f80b10

diff --git a/dev-python/phonenumbers/phonenumbers-9.0.37.ebuild b/dev-python/phonenumbers/phonenumbers-9.0.37.ebuild
new file mode 100644
index 000000000000..01b087799e74
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-9.0.37.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+	https://github.com/daviddrysdale/python-phonenumbers/
+	https://pypi.org/project/phonenumbers/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+	test? (
+		dev-python/protobuf[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	"${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.